## org.eclipse.papyrus.emf.facet.efacet.sdk.tests.metamodel.library
Interface LibraryFactory

    public interface LibraryFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `LibraryPackage`
Generated:

Field Summary
`static LibraryFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`Book` `createBook()` Returns a new object of class 'Book'.
`Library` `createLibrary()` Returns a new object of class 'Library'.
`Writer` `createWriter()` Returns a new object of class 'Writer'.
`LibraryPackage` `getLibraryPackage()` Returns the package supported by this factory.

Field Detail

### eINSTANCE

    static final LibraryFactory eINSTANCE

  The singleton instance of the factory.

  Generated:

Method Detail

### createLibrary

    Library createLibrary()

  Returns a new object of class 'Library'.

  Returns:
    a new object of class 'Library'.
  Generated:

### createWriter

    Writer createWriter()

  Returns a new object of class 'Writer'.

  Returns:
    a new object of class 'Writer'.
  Generated:

### createBook

    Book createBook()

  Returns a new object of class 'Book'.

  Returns:
    a new object of class 'Book'.
  Generated:

### getLibraryPackage

    LibraryPackage getLibraryPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.
  Generated: